import sys, os
import time
sys.path.append(os.path.abspath(os.path.dirname(__file__)+'/'+'..'))
import numpy as np
from genfits import genfits_forfitEdepos_GECAM

def genfitsforfitBG(detID_selected,
                    netEcounts,
                    netEcounts_err,
                    nettime_interval,
                    fullEcounts,
                    fullEcounts_err,
                    fulltime_interval,
                    BGEcounts,
                    BGEcounts_err,
                    BGtime_interval,
                    ebins,
                    fitsdir,
                    iTR=False):
        print(fitsdir)
        achannel = np.arange(ebins) #np.array([0,1,2,...255])
        for idetec in detID_selected:
           # print('**************in genfits_batch******************')
            #print(' gen fits batch, detID'+str(idetec))
            idx = detID_selected.index(idetec)
            sidetec= str(idetec+1) #because idetec 1-18
            sidetec=sidetec.zfill(3)

            if iTR == False:
                netfitsname  = fitsdir+ 'netEdepos'+ sidetec+'.fits'
                BGfitsname   = fitsdir+ 'BGEdepos'+ sidetec+'.fits'
                fullfitsname = fitsdir+ 'fullEdepos'+ sidetec+'.fits'
            else:
                iTR = str(iTR).zfill(3)
                netfitsname = fitsdir + 'netEdepos' + sidetec + '_'+iTR+'.fits'
                BGfitsname = fitsdir + 'BGEdepos' + sidetec + '_'+iTR+'.fits'
                fullfitsname = fitsdir + 'fullEdepos' + sidetec + '_'+iTR+'.fits'

            #label the flag of begin with BG fit
            #net  
            genfits_forfitEdepos_GECAM.genfits_forfitEdepos(idx,netfitsname,
                                 achannel,
                                 netEcounts[idx],
                                 netEcounts_err[idx],
                                 nettime_interval[idx])
            #full
            genfits_forfitEdepos_GECAM.genfits_forfitEdepos(idx,
                                 fullfitsname,
                                 achannel,
                                 fullEcounts[idx],
                                 fullEcounts_err[idx],
                                 fulltime_interval[idx])
            #BG
            genfits_forfitEdepos_GECAM.genfits_forfitEdepos(idx,
                                 BGfitsname,
                                 achannel,
                                 BGEcounts[idx],
                                 BGEcounts_err[idx],
                                 BGtime_interval[idx])
            #after fits are generated, plot multi
            #glv.beginwith_fitEdepos=1

