"""
Created on Sat Dec 21 15:13:47 2019

@author: Dr. Xinying Song 
"""

import os
import sys
from PyQt5.QtCore import *
from PyQt5.QtGui import *
from PyQt5.QtWidgets import *

from .data import * 
from .tools import *
from .fitEdepos import *
from .fitBG import *
from .GUI import * 
from .coordtrans import *

def main_GUI():
    app = QApplication(sys.argv)
    maingui = GECAM_MainWindow()
    # filebrowse GUI
    filebrowsegui= filebrowse_gui()
    maingui.centralWidget.btnstartwebbrowser.clicked.connect(filebrowsegui.startfbgui)
    filebrowsegui.signal_filebrowse_to_status_box.connect(maingui.signal_main_status_box)

    # multi lc GUI
    #multilcgui= multilc_gui()
    multilcgui = MultiLCGui()
    #maingui.centralWidget.btnstartmultilc.clicked.connect(multilcgui.startmultigui)   

    ## press button connect operation 
    #multilcgui.mplCanvas.canvas.fig.canvas.mpl_connect('button_press_event', maingui.centralWidget.plotlc)
    maingui.centralWidget.btnstartmultilc.clicked.connect(multilcgui.start_multi_gui)
    multilcgui.signal_multilc_plot_current_choice.connect(maingui.centralWidget.plotlc)
    multilcgui.signal_filebrowse_to_status_box.connect(maingui.signal_main_status_box)


    # plotsum
    #multilcgui.pushButton_plotsum.clicked.connect(maingui.centralWidget.plotlcsum)

    #location GUI
    #locationGUI= location_gui()
    #maingui.centralWidget.btnstartloc.clicked.connect(locationGUI.startLocgui)    
    #locationGUI.signal_locationGUI_to_status_box.connect(maingui.signal_main_status_box)
   


    # rsp generator GUI
    rspgeneratorgui=rspgenerator_gui()
    maingui.centralWidget.btnrspgenerator.clicked.connect(rspgeneratorgui.startrspgeneratorgui)
    rspgeneratorgui.signal_rspgenerator_to_status_box.connect(maingui.signal_main_status_box) 


    # Edepos fit GUI
    fitEdeposgui=fitEdepos_gui()
    maingui.centralWidget.btnstartfitEdepos.clicked.connect(fitEdeposgui.startfitEdeposgui)

    fitEdeposgui.signal_fitEdepos_to_status_box.connect(maingui.signal_main_status_box)
    fitresloggui= fitreslog_gui()

    fitEdeposgui.btn_startfit.clicked.connect(fitresloggui.startfitresloggui)
    if glv.fitEdepos_runStatus == 0:
       fitEdeposgui.btn_startfit.clicked.connect(fitresloggui.btn_open)

    #fitEdeposgui.btn_batchfit.clicked.connect(fitresloggui.startfitresloggui)
    #if glv.fitEdepos_runStatus == 0:
    #   fitEdeposgui.btn_batchfit.clicked.connect(fitresloggui.btn_open_batch)


    
    # duration GUI
    #LCanagui=LCana_gui()
    #maingui.centralWidget.btnstartcalondf.clicked.connect(LCanagui.startLCanagui)
    #LCanagui.signal_LCana_to_status_box.connect(maingui.signal_main_status_box)

    # UPL GW GUI
    #UPLfluxgui=UPLflux_gui()
    #maingui.centralWidget.btnstartful.clicked.connect(UPLfluxgui.startUPLfluxgui)
    #UPLfluxgui.signal_UPLflux_to_status_box.connect(maingui.signal_main_status_box)
    maingui.show()
    sys.exit(app.exec_())


#def main_GUI():
#    app = wx.App()
#    frame =GUI_frame_GECAM.MPL_Frame()
#    frame.Center()
#    frame.Show()
#    app.MainLoop()

#主程序测试  
#if __name__ == "__main__":
#    main_GUI()
#    app = wx.App()
#    frame =GUI_frame_GECAM.MPL_Frame()
#    frame.Center()
#    frame.Show()
#    app.MainLoop()

