"""
generate rsp file name for given detID, gaintype and satelite
@author X.Song
"""

'''if input angle is minus 0, plus on 360degree to reset its value'''
def GetAngDegstr(ang):
    if ang>0:
       return ('%06d' % int(ang*1000.))
    else:
       return ('%06d' %int ((360+ang)*1000.))

    '''generate rsp name'''
def genRSPname(detID, theta,phi):
    str_theta = 'T'+GetAngDegstr(theta)
    str_phi = 'P'+GetAngDegstr(phi)
    rspname=''
    if detID<25:
       rspname = 'ag' +'{:02d}'.format(detID+1) +'L' +'_x_evt_' +str_theta+'_' + str_phi+'.rsp'
    elif detID<50:
       rspname = 'ag' + '{:02d}'.format(detID-25 + 1) + 'H' + '_x_evt_' + str_theta + '_' +str_phi + '.rsp' 
    elif detID<75:
       rspname = 'bg' + '{:02d}'.format(detID-50 + 1) + 'L' + '_x_evt_' + str_theta +'_' + str_phi + '.rsp' 
    elif detID<100:
       rspname = 'bg' + '{:02d}'.format(detID-75 + 1) + 'H' + '_x_evt_' + str_theta +'_' + str_phi + '.rsp'
    return rspname

    '''generate detname for rsp generator'''
def detname_RSPgen(detID):
    detname = ''
    if detID < 25:
        detname = 'ag' + '{:02d}'.format(detID + 1) + 'L'
    elif detID < 50:
        detname = 'ag' + '{:02d}'.format(detID - 25 + 1) + 'H'
    elif detID < 75:
        detname = 'bg' + '{:02d}'.format(detID - 50 + 1) + 'L'
    elif detID < 100:
        detname = 'bg' + '{:02d}'.format(detID - 75 + 1) + 'H'
    return detname


'''
if __name__=='__main__':
    print(genRSPname(99, 10,20))
'''
