from setuptools import setup, find_packages  
setup(  
    name = "GECAMGRBanatools",  
    version = "1.0",  
    keywords = ("GECAM", "GRB data analysis"),  
    description = "tools with GUI and CLI for beginning with GECAM",  
    long_description = "tools with GUI and CLI for GECAM in python",  
    license = "IHEP Licence",  
  
    url = "http://gecam.docdb.ihep.ac.cn/docdb/DocumentDatabase",  
    author = "Xinying Song",  
    author_email = "songxy@ihep.ac.cn",  
  
    packages = find_packages(),  
    include_package_data = True,  
    platforms = "any",  
    install_requires = [],  
  
    scripts = [],  
    entry_points = {  
        'console_scripts': [  
            'GECAM= gecam.main_gecam:main_GUI',
        ]  
    },
)
