import numpy as np
#Fit a polynomial p(x) = p[0] * x**deg + ... + p[deg] use np.polyfit
#https://docs.scipy.org/doc/numpy/reference/generated/numpy.polyfit.html
def proerr(lbg,deg, pcov): #lbg is range of BG, when len(lbg)=4, bg=[t1,t2] and [t3, t4]
    a=[]
    for i in range(deg+1):
      p=int(deg+1-i)
#      print('deg'+str(deg))
#      print('len(lbg)'+str(len(lbg)))
      if len(lbg)==4:
        x=(lbg[1]**p-lbg[0]**p+lbg[3]**p-lbg[2]**p)/p
        a.append(x)
#        print('a'+str(a))
      elif len(lbg)==2:
        x=(lbg[1]**p-lbg[0]**p)/p
        a.append(x)
    aa=np.array(a)
    at=aa.T
#    print('aa='+str(aa))
#    print('pcov='+str(pcov))
    if pcov.shape[0]>deg+1:
       pcov=pcov[:deg+1,:deg+1] 
    return np.dot(np.dot(aa, pcov),at) #return a single value, return the square err propagated from para, paracov to integration of special range 
