#*****************************************************
#  cal the angle between angle input and detec in sat*
#   author Dr.X.Song                                 *
#*****************************************************
import os
import sys
sys.path.append(os.path.abspath(os.path.dirname(__file__)+'/'+'..'))
import coordtrans
import numpy as np
from tools import TTtoUTC
def angle_insatAB(angleinJ2000, sttime_MET, attfile, list_detecAngle_inSat, sat='a'):
    ra  = angleinJ2000[0]
    dec = angleinJ2000[1]
    angleinsat=(0.0,0.0)
    '''
    cal the light source angle in sat

    '''
    '''turn TT to UTC'''
    print('[ra,dec]:' +str([ra,dec]))
    print('in angle' +str(sttime_MET))
    sttime = TTtoUTC.met2utc(sttime_MET)
    print('in angle in satAB, sat:' +str(sat))

    '''
    if 1:
        meti=sttime_MET+49
        utci=TTtoUTC.met2utc(meti)
        print(utci)
        #attfiletmp = ['/home/songxy/GECAM_testdata/tn201201_061017/ga_posatt_201201_06_v00.fits']
        print('utc:' +str(utci) + 'angle:' +
              str(coordtrans.J2000_Sat([ra],[dec],start_time=utci,
                                                  end_time=None,step=1,filename=[[attfile[0]]])))
    '''



    print(angleinJ2000)
    print(sttime)
    print(attfile)

    if sat=='a' or sat=='b':
       angleinsat=coordtrans.J2000_Sat([ra],[dec],start_time=sttime,end_time=None,step=1,filename=[attfile[0]])
    else:
       print('this is satB(single or double)')
       angleinsat=coordtrans.J2000_Sat([ra],[dec],start_time=sttime,end_time=None,step=1,filename=[attfile[1]])
    '''
    cal the angle between detec-angle list and light source angle in Sat 
    '''
    print('in angle angleinsat:' +str(angleinsat))
    #print('in angle list_detecAngle_inSat:' +str(list_detecAngle_inSat))
    atheta=np.array(list_detecAngle_inSat[0])
    aphi=np.array(list_detecAngle_inSat[1])
    #print(atheta)
    #print(aphi)
    atheta = atheta*np.pi/180
    aphi = aphi*np.pi/180
    angleinsat0= angleinsat[0]*np.pi/180
    angleinsat1= angleinsat[1]*np.pi/180


    cosA = np.sin(atheta)*np.sin(angleinsat0)*np.cos(aphi)*np.cos(angleinsat1) + \
                   np.sin(atheta)*np.sin(angleinsat0)*np.sin(aphi)*np.sin(angleinsat1) + \
                   np.cos(atheta)*np.cos(angleinsat0)

    '''the angle between source and every detector in sat'''
    AngleinSat = np.arccos(cosA)*180/np.pi
    print('AngleinSat :' +str(AngleinSat.tolist()))
    return  AngleinSat
